table! {
    use diesel::sql_types::*;
    use crate::models::users::*;

    localuser (user_id) {
        user_id -> Text,
        username -> Text,
        password -> Text,
        role -> RoleMapping,
    }
}

table! {
    use diesel::sql_types::*;

    user (id) {
        id -> Text,
    }
}

table! {
    use diesel::sql_types::*;

    user_zone (user_id, zone_id) {
        user_id -> Text,
        zone_id -> Text,
    }
}

table! {
    use diesel::sql_types::*;

    zone (id) {
        id -> Text,
        name -> Text,
    }
}

joinable!(localuser -> user (user_id));
joinable!(user_zone -> user (user_id));
joinable!(user_zone -> zone (zone_id));

allow_tables_to_appear_in_same_query!(
    localuser,
    user,
    user_zone,
    zone,
);
